Name:		qubes-yubikey-dom0
Version:	1.3.0
Release:	1%{?dist}
Summary:	Yubikey / NitroKey3 support scripts for Qubes OS

Group:		Applications/System
License:	GPL
URL:		https://www.qubes-os.org/doc/yubi-key/

Requires:	openssl
Requires:	coreutils
Requires:	util-linux
%if 0%{?fedora} < 36
Requires: vim-common
%else
Requires: xxd
%endif

Source0: %{name}-%{version}.tar.gz

%description
Scripts for easier integration of YubiKey / NitroKey3 into Qubes OS login.

%prep
%setup -q

%install
cp -a etc $RPM_BUILD_ROOT/
mkdir $RPM_BUILD_ROOT/usr
cp -a bin $RPM_BUILD_ROOT/usr/

%files
%doc README.md
%config(noreplace) /etc/pam.d/yubikey
%config(noreplace) /etc/qubes/yk-keys/vm
%config(noreplace) /etc/qubes/yk-keys/yk-slot
%config(noreplace) /etc/qubes/yk-keys/login-pass
%config(noreplace) /etc/qubes/yk-keys/login-pass-hashed.hex
%config(noreplace) /etc/qubes/yk-keys/yk-secret-key.hex
/usr/bin/yk-auth

%changelog
* Wed Jan 31 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-yubikey.git

* Wed Jan 31 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2945181
- version 1.3.0

* Mon Jan 29 2024 Christian Foerster <christian.foerster@mailfence.com> - baf4447
- fix dependencies

* Sun Jan 28 2024 Christian Foerster <christian.foerster@mailfence.com> - c9ee226
- add xxd to dependencies

* Sun Jan 28 2024 Christian Foerster <christian.foerster@mailfence.com> - 6e3e0bd
- fix remaining shellcheck problems

* Sun Jan 28 2024 Christian Foerster <christian.foerster@mailfence.com> - 50b3341
- shellcheck

* Sun Jan 28 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 54ac6cc
- ci: add shellcheck

* Thu Jan 25 2024 Christian Foerster <christian.foerster@mailfence.com> - 231a18f
- fix broken login after boot

* Thu Jan 18 2024 Christian Foerster <christian.foerster@mailfence.com> - c17d849
- improve check for old filenames

* Wed Jan 17 2024 Christian Foerster <christian.foerster@mailfence.com> - 096960a
- implement suggestions

* Mon Jan 15 2024 Christian Foerster <christian.foerster@mailfence.com> - fd34d80
- simplify shell reference

* Mon Jan 15 2024 Christian Foerster <christian.foerster@mailfence.com> - bd30608
- fix hotp issue for some outputs

* Mon Jan 15 2024 Christian Foerster <christian.foerster@mailfence.com> - a7ff349
- fix dependencies

* Mon Jan 15 2024 Christian Foerster <christian.foerster@mailfence.com> - 1554b94
- add NitroKey3 HOTP support

* Sun Oct 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 229bb29
- version 1.1.5

* Sat Oct 07 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fa7a29a
- Fix handling newer PAM version

* Mon Dec 05 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 75a7034
- version 1.1.4

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1a8401a
- .qubesbuilder: replace 'spec' by 'build'

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - cb00784
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 9963325
- Drop Travis CI

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c37efd9
- Add .gitlab-ci.yml

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 298f153
- Update travis

* Sat Jan 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ccf6efc
- travis: switch to dom0 Fedora 31

* Tue Nov 12 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dc400e7
- version 1.1.3

* Sun Nov 10 2019 Hans Jerry Illikainen <hji@dyntopia.com> - 0993599
- Read challenge-response slot from yk-slot

* Thu Oct 24 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 34a7a5b
- version 1.1.2

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6d2918b
- travis: switch to bionic

* Thu Oct 10 2019 dramshackle <53412329+dramshackle@users.noreply.github.com> - ee178c6
- checks for response to a truncated challenge

* Wed Oct 09 2019 dramshackle <53412329+dramshackle@users.noreply.github.com> - d7f23f9
- reduce challenge length to 63 bytes

* Sat Mar 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 093f6ec
- version 1.1.1

* Sat Mar 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - de8a4ec
- travis: update to R4.1

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 56e0dc7
- spec.in: add changelog placeholder

* Mon Jan 29 2018 Frédéric Pierret <frederic.epitre@orange.fr> - f1e68da
- Create .spec.in and Source0

* Mon Nov 20 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 390b601
- version 1.1.0

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - ccaeaa2
- fix quoting

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - 7ead7c7
- update comment

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - fa6ed87
- backticks to $(...)

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - f0f8605
- wording

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - d5fd048
- wording

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - 00fa002
- match documentation

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - 0623786
- Update yk-login-pass

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - 0db3282
- wording

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - f23daaa
- wording

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - 54cb6d3
- wording

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - 393c00a
- wording

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - 2e576a7
- remove useless arguments

* Wed Nov 15 2017 Patrick Schleizer <adrelanos@riseup.net> - 9d7d65c
- change file name from yubico to yubikey

* Tue Nov 14 2017 Patrick Schleizer <adrelanos@riseup.net> - a8b08a6
- add yubico to /etc/pam.d

* Tue Nov 14 2017 Patrick Schleizer <adrelanos@riseup.net> - 5e06fd0
- add -a to qvm-run

* Wed Jul 05 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 622f8dc
- version 1.0.1

* Wed Jul 05 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7ee3784
- travis: add Qubes 4.0

